%define url_ver %(echo %{version} | cut -d. -f1,2)

%define oname		xfce4

%define major		0
%define gmajor		2.0

%define girname		%mklibname xfce4ui-gir %{gmajor}

%define api		1
%define apikbd		2
%define libname         %mklibname %{oname}ui %{api} %{major}
%define libnamekbd	%mklibname %{oname}kbd-private %{apikbd} %{major}
%define develname	%mklibname %{oname}ui %{api} -d

%define api3		2
%define apikbd3		3
%define libname3	%mklibname %{oname}ui %{api3} %{major}
%define libnamekbd3	%mklibname %{oname}kbd-private %{apikbd3} %{major}
%define develname3	%mklibname %{oname}ui %{api3} -d

# to get pkg build with copr
%{!?_real_vendor:%global _real_vendor mageia}

Summary:	Various Xfce widgets for Xfce desktop environment
Name:		libxfce4ui
Version: 	4.14.1
Release: 	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://www.xfce.org
Source0:	https://archive.xfce.org/src/xfce/libxfce4ui/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	git-core
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(gladeui-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libstartup-notification-1.0)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfconf-0)
BuildRequires:	intltool
BuildRequires:	pkgconfig(sm)
Requires:	%{_real_vendor}-release-common

%description
Various Xfce widgets for Xfce desktop environment.

%package -n %{libname}
Summary:	GTK2 GUI libraries for Xfce
Group:		Graphical desktop/Xfce
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname}
GTK2 GUI libraries for Xfce desktop environment.

%package -n %{libnamekbd}
Summary:	GTK2 GUI libraries for Xfce
Group:		Graphical desktop/Xfce

%description -n %{libnamekbd}
GTK2 GUI libraries for Xfce desktop environment.

%package -n %{libname3}
Summary:	GTK3 GUI libraries for Xfce
Group:		Graphical desktop/Xfce
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname3}
GTK3 GUI libraries for Xfce desktop environment.

%package -n %{libnamekbd3}
Summary:	GTK3 GUI libraries for Xfce
Group:		Graphical desktop/Xfce

%description -n %{libnamekbd3}
GTK3 GUI libraries for Xfce desktop environment.

%package -n %{name}-glade
Summary:	Glade (GTK+3) modules for %{name}
Group:		Graphical desktop/Xfce
Requires:	glade

%description -n %{name}-glade
This package provides a catalog for Glade (GTK+3) which allows the use of the
provided Xfce widgets in Glade.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname3} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{develname}
Summary:	Development files and headers for the %{name} library using GTK2
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libnamekbd} = %{version}-%{release}
Provides:	%{oname}ui-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}xfce4ui-devel < 4.11.0-2

%description -n %{develname}
Development files and headers for the %{name} library using GTK2.

%package -n %{develname3}
Summary:	Development files and headers for the %{name} library using GTK3
Group:		Development/Other
Requires:	%{libname3} = %{version}-%{release}
Requires:	%{libnamekbd3} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Conflicts:	%{_lib}xfce4ui-devel < 4.11.0-2

%description -n %{develname3}
Development files and headers for the %{name} library using GTK3.

%prep
%autosetup -S git_am

%build
%xdt_autogen
%configure2_5x \
	--with-vendor-info=%{_vendor} \
	--disable-static \
	--enable-startup-notification \
	--disable-gladeui \
	--enable-gladeui2 \
	--enable-introspection
%make_build

%install
%make_install

#add vendor info
mkdir -p %{buildroot}%{_datadir}/xfce4/
ln -s %{_sysconfdir}/%{_real_vendor}-release %{buildroot}%{_datadir}/xfce4/vendorinfo

#we don't want these
find %{buildroot} -name "*.la" -delete

# (tpg) this file is in mandriva-xfce-config package
rm -rf %{buildroot}%{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/xfce4-about
%dir %{_datadir}/xfce4/
%{_datadir}/xfce4/vendorinfo
%{_datadir}/applications/xfce4-about.desktop
%{_iconsdir}/hicolor/*/apps/xfce4-logo.png

%files -n %{libname}
%{_libdir}/libxfce4ui-%{api}.so.%{major}{,.*}

%files -n %{libnamekbd}
%{_libdir}/libxfce4kbd-private-%{apikbd}.so.%{major}{,.*}

%files -n %{libname3}
%{_libdir}/libxfce4ui-%{api3}.so.%{major}{,.*}

%files -n %{libnamekbd3}
%{_libdir}/libxfce4kbd-private-%{apikbd3}.so.%{major}{,.*}

%files -n %{name}-glade
%{_libdir}/glade/modules/%{name}glade2.so
%{_datadir}/glade/catalogs/%{name}-2.xml
%{_datadir}/glade/pixmaps/hicolor/*/*/*%{name}*.png

%files -n %{develname}
%doc AUTHORS ChangeLog README NEWS
%doc %{_datadir}/gtk-doc/html/%{name}/
%{_libdir}/%{name}-%{api}.so
%{_libdir}/libxfce4kbd-private-%{apikbd}.so
%{_libdir}/pkgconfig/libxfce4kbd-private-%{apikbd}.pc
%{_libdir}/pkgconfig/libxfce4ui-%{api}.pc
%{_includedir}/xfce4/%{name}-%{api}/
%{_includedir}/xfce4/libxfce4kbd-private-%{apikbd}/

%files -n %{girname}
%{_libdir}/girepository-1.0/libxfce4ui-%{gmajor}.typelib

%files -n %{develname3}
%doc %{_datadir}/gtk-doc/html/%{name}/
%{_libdir}/pkgconfig/libxfce4kbd-private-%{apikbd3}.pc
%{_libdir}/pkgconfig/libxfce4ui-%{api3}.pc
%{_libdir}/%{name}-%{api3}.so
%{_libdir}/libxfce4kbd-private-%{apikbd3}.so
%{_includedir}/xfce4/%{name}-%{api3}/
%{_includedir}/xfce4/libxfce4kbd-private-%{apikbd3}/
%{_datadir}/gir-1.0/libxfce4ui-%{gmajor}.gir
